import * as interfaces from '../dist_ts_interfaces/index.js';
import type { DcRouterApiClient } from './classes.dcrouterapiclient.js';
export declare class Email {
    private clientRef;
    id: string;
    direction: interfaces.requests.TEmailDirection;
    status: interfaces.requests.TEmailStatus;
    from: string;
    to: string;
    subject: string;
    timestamp: string;
    messageId: string;
    size: string;
    constructor(clientRef: DcRouterApiClient, data: interfaces.requests.IEmail);
    getDetail(): Promise<interfaces.requests.IEmailDetail | null>;
    resend(): Promise<{
        success: boolean;
        newQueueId?: string;
    }>;
}
export declare class EmailManager {
    private clientRef;
    constructor(clientRef: DcRouterApiClient);
    list(): Promise<Email[]>;
    getDetail(emailId: string): Promise<interfaces.requests.IEmailDetail | null>;
    resend(emailId: string): Promise<{
        success: boolean;
        newQueueId?: string;
    }>;
}
